package compare;

import java.util.*;

public class ComparatorExample {
    public static void main(String[] args) {
        // Creating a list of students with GPA
        List<Student> students = new ArrayList<>();
        students.add(new Student("Alice", 22, 3.5));
        students.add(new Student("Bob", 20, 3.8));
        students.add(new Student("Charlie", 23, 3.2));
        
        // Using Comparable (natural order by age)
        System.out.println("Students sorted by age (using Comparable):");
        Collections.sort(students);
        for (Student student : students) {
            System.out.println(student);
        }
        
        // Using NameComparator (custom order by name)
        System.out.println("\nStudents sorted by name (using NameComparator):");
        Collections.sort(students, new NameComparator());
        for (Student student : students) {
            System.out.println(student);
        }

        // Using GPAComparator (custom order by GPA)
        System.out.println("\nStudents sorted by GPA (using GPAComparator):");
        Collections.sort(students, new GPAComparator());
        for (Student student : students) {
            System.out.println(student);
        }
    }
}
