package compare;

class Student implements Comparable<Student> {
    private String name;
    private int age;
    private double gpa;

    public Student(String name, int age, double gpa) {
        this.name = name;
        this.age = age;
        this.gpa = gpa;
    }

    public String getName() {
        return name;
    }

    public int getAge() {
        return age;
    }

    public double getGPA() {
        return gpa;
    }

    // Implement compareTo() for Comparable interface (sorting by age)
    @Override
    public int compareTo(Student other) {
        return this.age - other.age;  // Natural ordering by age (ascending)
    }

    @Override
    public String toString() {
        return name + " (" + age + ", GPA: " + gpa + ")";
    }
}

